### Hierarchy

- Decipher
  - DecipherGCM

## Index

### Properties

- readable
- writable

### Methods

- __@asyncIterator
- addListener
- emit
- end
- eventNames
- final
- getMaxListeners
- isPaused
- listenerCount
- listeners
- off
- on
- once
- pause
- pipe
- prependListener
- prependOnceListener
- rawListeners
- read
- removeAllListeners
- removeListener
- resume
- setAAD
- setAuthTag
- setAutoPadding
- setEncoding
- setMaxListeners
- unpipe
- unshift
- update
- wrap
- write

## Properties

### readable

readable: boolean

Inherited from ReadableStream.readable

- Defined in node_modules/@types/node/globals.d.ts:598

### writable

writable: boolean

Inherited from WritableStream.writable

- Defined in node_modules/@types/node/globals.d.ts:613

## Methods

### __@asyncIterator

- __@asyncIterator(): AsyncIterableIterator<string | Buffer>

- Inherited from ReadableStream.__@asyncIterator

  - Defined in node_modules/@types/node/globals.d.ts:609

  #### Returns AsyncIterableIterator<string | Buffer>

### addListener

- addListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.addListener

  - Defined in node_modules/@types/node/globals.d.ts:579

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### emit

- emit(event: string | symbol, ...args: any[]): boolean

- Inherited from EventEmitter.emit

  - Defined in node_modules/@types/node/globals.d.ts:589

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

### end

- end(cb?: undefined | function): void
- end(data: string | Uint8Array | Buffer, cb?: undefined | function): void
- end(str: string, encoding?: undefined | string, cb?: undefined | function): void

- Inherited from WritableStream.end

  - Defined in node_modules/@types/node/globals.d.ts:616

  #### Parameters

  - ##### Optional cb: undefined | function

  #### Returns void

- Inherited from WritableStream.end

  - Defined in node_modules/@types/node/globals.d.ts:617

  #### Parameters

  - ##### data: string | Uint8Array | Buffer

  - ##### Optional cb: undefined | function

  #### Returns void

- Inherited from WritableStream.end

  - Defined in node_modules/@types/node/globals.d.ts:618

  #### Parameters

  - ##### str: string

  - ##### Optional encoding: undefined | string

  - ##### Optional cb: undefined | function

  #### Returns void

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  - Defined in node_modules/@types/node/globals.d.ts:594

  #### Returns Array<string | symbol>

### final

- final(): Buffer
- final(output_encoding: string): string

- Inherited from Decipher.final

  - Defined in node_modules/@types/node/crypto.d.ts:230

  #### Returns Buffer

- Inherited from Decipher.final

  - Defined in node_modules/@types/node/crypto.d.ts:231

  #### Parameters

  - ##### output_encoding: string

  #### Returns string

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/globals.d.ts:586

  #### Returns number

### isPaused

- isPaused(): boolean

- Inherited from ReadableStream.isPaused

  - Defined in node_modules/@types/node/globals.d.ts:603

  #### Returns boolean

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/globals.d.ts:590

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  - Defined in node_modules/@types/node/globals.d.ts:587

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  - Defined in node_modules/@types/node/globals.d.ts:583

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: string | symbol, listener: function): this

- Inherited from EventEmitter.on

  - Defined in node_modules/@types/node/globals.d.ts:580

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### once

- once(event: string | symbol, listener: function): this

- Inherited from EventEmitter.once

  - Defined in node_modules/@types/node/globals.d.ts:581

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### pause

- pause(): this

- Inherited from ReadableStream.pause

  - Defined in node_modules/@types/node/globals.d.ts:601

  #### Returns this

### pipe

- pipe<T>(destination: T, options?: undefined | object): T

- Inherited from ReadableStream.pipe

  - Defined in node_modules/@types/node/globals.d.ts:604

  #### Type parameters

  - #### T: WritableStream

  #### Parameters

  - ##### destination: T

  - ##### Optional options: undefined | object

  #### Returns T

### prependListener

- prependListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.prependListener

  - Defined in node_modules/@types/node/globals.d.ts:592

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/globals.d.ts:593

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  - Defined in node_modules/@types/node/globals.d.ts:588

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### read

- read(size?: undefined | number): string | Buffer

- Inherited from ReadableStream.read

  - Defined in node_modules/@types/node/globals.d.ts:599

  #### Parameters

  - ##### Optional size: undefined | number

  #### Returns string | Buffer

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/globals.d.ts:584

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.removeListener

  - Defined in node_modules/@types/node/globals.d.ts:582

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### resume

- resume(): this

- Inherited from ReadableStream.resume

  - Defined in node_modules/@types/node/globals.d.ts:602

  #### Returns this

### setAAD

- setAAD(buffer: Binary, options?: undefined | object): this

- - Defined in node_modules/@types/node/crypto.d.ts:242

  #### Parameters

  - ##### buffer: Binary

  - ##### Optional options: undefined | object

  #### Returns this

### setAuthTag

- setAuthTag(buffer: Binary): this

- - Defined in node_modules/@types/node/crypto.d.ts:241

  #### Parameters

  - ##### buffer: Binary

  #### Returns this

### setAutoPadding

- setAutoPadding(auto_padding?: undefined | false | true): this

- Inherited from Decipher.setAutoPadding

  - Defined in node_modules/@types/node/crypto.d.ts:232

  #### Parameters

  - ##### Optional auto_padding: undefined | false | true

  #### Returns this

### setEncoding

- setEncoding(encoding: string): this

- Inherited from ReadableStream.setEncoding

  - Defined in node_modules/@types/node/globals.d.ts:600

  #### Parameters

  - ##### encoding: string

  #### Returns this

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/globals.d.ts:585

  #### Parameters

  - ##### n: number

  #### Returns this

### unpipe

- unpipe(destination?: WritableStream): this

- Inherited from ReadableStream.unpipe

  - Defined in node_modules/@types/node/globals.d.ts:605

  #### Parameters

  - ##### Optional destination: WritableStream

  #### Returns this

### unshift

- unshift(chunk: string): void
- unshift(chunk: Buffer): void

- Inherited from ReadableStream.unshift

  - Defined in node_modules/@types/node/globals.d.ts:606

  #### Parameters

  - ##### chunk: string

  #### Returns void

- Inherited from ReadableStream.unshift

  - Defined in node_modules/@types/node/globals.d.ts:607

  #### Parameters

  - ##### chunk: Buffer

  #### Returns void

### update

- update(data: Binary): Buffer
- update(data: string, input_encoding: HexBase64BinaryEncoding): Buffer
- update(data: Binary, input_encoding: undefined, output_encoding: Utf8AsciiBinaryEncoding): string
- update(data: string, input_encoding: HexBase64BinaryEncoding | undefined, output_encoding: Utf8AsciiBinaryEncoding): string

- Inherited from Decipher.update

  - Defined in node_modules/@types/node/crypto.d.ts:226

  #### Parameters

  - ##### data: Binary

  #### Returns Buffer

- Inherited from Decipher.update

  - Defined in node_modules/@types/node/crypto.d.ts:227

  #### Parameters

  - ##### data: string

  - ##### input_encoding: HexBase64BinaryEncoding

  #### Returns Buffer

- Inherited from Decipher.update

  - Defined in node_modules/@types/node/crypto.d.ts:228

  #### Parameters

  - ##### data: Binary

  - ##### input_encoding: undefined

  - ##### output_encoding: Utf8AsciiBinaryEncoding

  #### Returns string

- Inherited from Decipher.update

  - Defined in node_modules/@types/node/crypto.d.ts:229

  #### Parameters

  - ##### data: string

  - ##### input_encoding: HexBase64BinaryEncoding | undefined

  - ##### output_encoding: Utf8AsciiBinaryEncoding

  #### Returns string

### wrap

- wrap(oldStream: ReadableStream): this

- Inherited from ReadableStream.wrap

  - Defined in node_modules/@types/node/globals.d.ts:608

  #### Parameters

  - ##### oldStream: ReadableStream

  #### Returns this

### write

- write(buffer: Buffer | Uint8Array | string, cb?: undefined | function): boolean
- write(str: string, encoding?: undefined | string, cb?: undefined | function): boolean

- Inherited from WritableStream.write

  - Defined in node_modules/@types/node/globals.d.ts:614

  #### Parameters

  - ##### buffer: Buffer | Uint8Array | string

  - ##### Optional cb: undefined | function

  #### Returns boolean

- Inherited from WritableStream.write

  - Defined in node_modules/@types/node/globals.d.ts:615

  #### Parameters

  - ##### str: string

  - ##### Optional encoding: undefined | string

  - ##### Optional cb: undefined | function

  #### Returns boolean

Generated using TypeDoc